//some error messages
local function multiperror(q)
	if multiplayer then CONS_Printf(q,"Can only be used in single player.") return end
end
local function getemerror(q)
	CONS_Printf(q,"Must be a number from 1 to 7 or a valid Emerald flag.") return 
end
//debug commands
COM_AddCommand("setemeralds", function(q, em)
	multiperror(q)
	em = tonumber($)
	if (em > 7) or (em < 0) then
		CONS_Printf(q,"Must be a number from 0 to 7.")
		return
	else
		emeralds = 0
		local i = 0
		while not (em == i) do
			i = $ + 1
			emeralds = $ + 1
			emeralds = $ << 1
		end
		CONS_Printf(q,"Chaos Emerald count set to "..em..".")
	end
end)

COM_AddCommand("getemerald", function(q, gem)
	multiperror(q)
	if not (type(gem) == "number") then
		if (type(gem) == "string") then
			gem = $:upper()
			if gem:find('EMERALD') then
				gem = $:sub(7)
			else getemerror(q) end
			gem = tonumber($)
		else getemerror(q) end
	end
	if (gem > 7) or (gem < 1) then getemerror(q)
	else
		local a = 2^(gem-2)
		local b
		if (emeralds & a) then 
			b = "lost"
			emeralds = $&~a
		else 
			b = "obtained"
			emeralds = $|a
		end
		CONS_Printf(q,"Chaos Emerald #"..gem.." "..b..".")
	end
end)